// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/Gateway.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Gateway {

  /// <summary>Holder for reflection information generated from telemetry/Gateway.proto</summary>
  public static partial class GatewayReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/Gateway.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static GatewayReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Chd0ZWxlbWV0cnkvR2F0ZXdheS5wcm90bxIHZ2F0ZXdheRofZ29vZ2xlL3By",
            "b3RvYnVmL3RpbWVzdGFtcC5wcm90byKfAQoHR2F0ZXdheRIRCgRsb2FkGAEg",
            "ASgJSACIAQESGAoLdGVtcGVyYXR1cmUYAiABKAlIAYgBARIWCglkaXNrX3Vz",
            "ZWQYAyABKAlIAogBARIYCgttZW1vcnlfdXNlZBgEIAEoCUgDiAEBQgcKBV9s",
            "b2FkQg4KDF90ZW1wZXJhdHVyZUIMCgpfZGlza191c2VkQg4KDF9tZW1vcnlf",
            "dXNlZEJzChtjb20uY29kaWJseS5tb2RlbC50ZWxlbWV0cnlCDEdhdGV3YXlQ",
            "cm90b8oCG0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeeICJ0RvbWFpbk1v",
            "ZGVsXFByb3RvXFRlbGVtZXRyeVxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Gateway.Gateway), global::Gateway.Gateway.Parser, new[]{ "Load", "Temperature", "DiskUsed", "MemoryUsed" }, new[]{ "Load", "Temperature", "DiskUsed", "MemoryUsed" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class Gateway : pb::IMessage<Gateway>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<Gateway> _parser = new pb::MessageParser<Gateway>(() => new Gateway());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<Gateway> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Gateway.GatewayReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Gateway() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Gateway(Gateway other) : this() {
      load_ = other.load_;
      temperature_ = other.temperature_;
      diskUsed_ = other.diskUsed_;
      memoryUsed_ = other.memoryUsed_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public Gateway Clone() {
      return new Gateway(this);
    }

    /// <summary>Field number for the "load" field.</summary>
    public const int LoadFieldNumber = 1;
    private string load_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Load {
      get { return load_ ?? ""; }
      set {
        load_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "load" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasLoad {
      get { return load_ != null; }
    }
    /// <summary>Clears the value of the "load" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearLoad() {
      load_ = null;
    }

    /// <summary>Field number for the "temperature" field.</summary>
    public const int TemperatureFieldNumber = 2;
    private string temperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Temperature {
      get { return temperature_ ?? ""; }
      set {
        temperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTemperature {
      get { return temperature_ != null; }
    }
    /// <summary>Clears the value of the "temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTemperature() {
      temperature_ = null;
    }

    /// <summary>Field number for the "disk_used" field.</summary>
    public const int DiskUsedFieldNumber = 3;
    private string diskUsed_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DiskUsed {
      get { return diskUsed_ ?? ""; }
      set {
        diskUsed_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "disk_used" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDiskUsed {
      get { return diskUsed_ != null; }
    }
    /// <summary>Clears the value of the "disk_used" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDiskUsed() {
      diskUsed_ = null;
    }

    /// <summary>Field number for the "memory_used" field.</summary>
    public const int MemoryUsedFieldNumber = 4;
    private string memoryUsed_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string MemoryUsed {
      get { return memoryUsed_ ?? ""; }
      set {
        memoryUsed_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "memory_used" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasMemoryUsed {
      get { return memoryUsed_ != null; }
    }
    /// <summary>Clears the value of the "memory_used" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearMemoryUsed() {
      memoryUsed_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as Gateway);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(Gateway other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Load != other.Load) return false;
      if (Temperature != other.Temperature) return false;
      if (DiskUsed != other.DiskUsed) return false;
      if (MemoryUsed != other.MemoryUsed) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasLoad) hash ^= Load.GetHashCode();
      if (HasTemperature) hash ^= Temperature.GetHashCode();
      if (HasDiskUsed) hash ^= DiskUsed.GetHashCode();
      if (HasMemoryUsed) hash ^= MemoryUsed.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasLoad) {
        output.WriteRawTag(10);
        output.WriteString(Load);
      }
      if (HasTemperature) {
        output.WriteRawTag(18);
        output.WriteString(Temperature);
      }
      if (HasDiskUsed) {
        output.WriteRawTag(26);
        output.WriteString(DiskUsed);
      }
      if (HasMemoryUsed) {
        output.WriteRawTag(34);
        output.WriteString(MemoryUsed);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasLoad) {
        output.WriteRawTag(10);
        output.WriteString(Load);
      }
      if (HasTemperature) {
        output.WriteRawTag(18);
        output.WriteString(Temperature);
      }
      if (HasDiskUsed) {
        output.WriteRawTag(26);
        output.WriteString(DiskUsed);
      }
      if (HasMemoryUsed) {
        output.WriteRawTag(34);
        output.WriteString(MemoryUsed);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasLoad) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Load);
      }
      if (HasTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Temperature);
      }
      if (HasDiskUsed) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DiskUsed);
      }
      if (HasMemoryUsed) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(MemoryUsed);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(Gateway other) {
      if (other == null) {
        return;
      }
      if (other.HasLoad) {
        Load = other.Load;
      }
      if (other.HasTemperature) {
        Temperature = other.Temperature;
      }
      if (other.HasDiskUsed) {
        DiskUsed = other.DiskUsed;
      }
      if (other.HasMemoryUsed) {
        MemoryUsed = other.MemoryUsed;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Load = input.ReadString();
            break;
          }
          case 18: {
            Temperature = input.ReadString();
            break;
          }
          case 26: {
            DiskUsed = input.ReadString();
            break;
          }
          case 34: {
            MemoryUsed = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Load = input.ReadString();
            break;
          }
          case 18: {
            Temperature = input.ReadString();
            break;
          }
          case 26: {
            DiskUsed = input.ReadString();
            break;
          }
          case 34: {
            MemoryUsed = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
